# Class AccessToken

java.lang.Object
com.codename1.io.AccessToken

All Implemented Interfaces:
  `Externalizable`

public class AccessToken extends Object implements Externalizable
This class represent an access token.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessToken()`

  ###### Since

  `AccessToken(String token, String expires)`
  Constructor with parameters
  `AccessToken(String token, String expires, String refreshToken)`
  Constructor with parameters
  `AccessToken(String token, String expires, String refreshToken, String identityToken)`
  Constructor with parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessToken`
  `createWithExpiryDate(String token, Date expiryDate)`

  ###### Parameters

  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `externalize(DataOutputStream out)`
  Allows us to store an object state, this method must be implemented in order to save the state of an object
  `String`
  `getExpires()`
  Simple getter
  `Date`
  `getExpiryDate()`
  Gets the expiry date of this token.
  `String`
  `getIdentityToken()`

  ###### Returns

  `String`
  `getObjectId()`
  The object id must be unique, it is used to identify the object when loaded even when it is obfuscated.
  `String`
  `getRefreshToken()`
  Gets refresh token.
  `String`
  `getToken()`
  Simple getter
  `int`
  `getVersion()`
  Returns the version for the current persistance code, the version will be pased to internalized thus allowing the internalize method to recognize classes persisted in older revisions
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `void`
  `internalize(int version, DataInputStream in)`
  Loads the object from the input stream and allows deserialization
  `boolean`
  `isExpired()`
  Checks to see if this token is expired.
  `void`
  `setExpiryDate(Date date)`
  Sets the expiry date of this token.
  `void`
  `setIdentityToken(String identityToken)`

  ###### Parameters

  `void`
  `setRefreshToken(String refreshToken)`
  Sets refresh token.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccessToken

    public AccessToken(String token, String expires)

    Constructor with parameters

    ###### Parameters

    - `token`: the token string

    - `expires`: the access token expires date

  - ### AccessToken

    public AccessToken(String token, String expires, String refreshToken)
    Constructor with parameters
    Since:

      7.0

      ###### Parameters

      - `token`: the token string

      - `expires`: the access token expires date

      - `refreshToken`: The refresh token.

  - ### AccessToken

    public AccessToken(String token, String expires, String refreshToken, String identityToken)
    Constructor with parameters
    Since:

      7.0

      ###### Parameters

      - `token`: the token string

      - `expires`: the access token expires date

      - `refreshToken`: The refresh token.

      - `identityToken`: The identity token

  - ### AccessToken

    public AccessToken()

    ###### Since

    7.0

- ## Method Details

  - ### createWithExpiryDate

    public static AccessToken createWithExpiryDate(String token, Date expiryDate)

    ###### Parameters

    - `Token`: The token.

    - `expiryDate`: The expiry date.

    ###### Since

    7.0

  - ### getToken

    public String getToken()

    Simple getter

    ###### Returns

    the token string

  - ### getExpires

    public String getExpires()

    Simple getter

    ###### Returns

    the expires date

  - ### getVersion

    public int getVersion()
    Description copied from interface: `Externalizable`

    Returns the version for the current persistance code, the version will be pased to internalized thus allowing the internalize method to recognize classes persisted in older revisions

    ###### Returns

    version number for the persistant code

    Specified by:
      `getVersion` in interface `Externalizable`

  - ### externalize

    public void externalize(DataOutputStream out) throws IOException
    Description copied from interface: `Externalizable`

    Allows us to store an object state, this method must be implemented in order to save the state of an object

    ###### Parameters

    - `out`: the stream into which the object must be serialized

    ###### Throws

    - `java.io.IOException`: the method may throw an exception
    Specified by:
      `externalize` in interface `Externalizable`
    Throws:
      `IOException`

  - ### internalize

    public void internalize(int version, DataInputStream in) throws IOException
    Description copied from interface: `Externalizable`

    Loads the object from the input stream and allows deserialization

    ###### Parameters

    - `version`: the version the class returned during the externalization processs

    - `in`: the input stream used to load the class

    ###### Throws

    - `java.io.IOException`: the method may throw an exception
    Specified by:
      `internalize` in interface `Externalizable`
    Throws:
      `IOException`

  - ### getRefreshToken

    public String getRefreshToken()

    Gets refresh token.

    ###### Returns

    Refresh token.

    ###### Since

    7.0

  - ### setRefreshToken

    public void setRefreshToken(String refreshToken)

    Sets refresh token.

    ###### Parameters

    - `refreshToken`: The refresh token.

    ###### Since

    7.0

  - ### getObjectId

    public String getObjectId()
    Description copied from interface: `Externalizable`

    The object id must be unique, it is used to identify the object when loaded even when it is obfuscated.

    ###### Returns

    a unique id

    Specified by:
      `getObjectId` in interface `Externalizable`

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `Object`
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Description copied from class: `Object`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### getExpiryDate

    public Date getExpiryDate()

    Gets the expiry date of this token.

    ###### Returns

    The expiry date of this token or null.

    ###### Since

    7.0

  - ### setExpiryDate

    public void setExpiryDate(Date date)

    Sets the expiry date of this token.

    ###### Parameters

    - `date`: The expiry date of this token.

    ###### Since

    7.0

  - ### isExpired

    public boolean isExpired()

    Checks to see if this token is expired.

    ###### Returns

    False if no expiry date is set or the expiryDate is before the current time.

    ###### Since

    7.0

  - ### getIdentityToken

    public String getIdentityToken()

    ###### Returns

    the identityToken

    ###### Since

    7.0

  - ### setIdentityToken

    public void setIdentityToken(String identityToken)

    ###### Parameters

    - `identityToken`: the identityToken to set

    ###### Since

    7.0